Resource Center/Elastic Bare Metal Management(Plus)
PUTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required
UpdateBareMetal2Instance
UpdateBareMetal2Instance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe bare metal instance UUID.
Body Fields
updatebaremetal2instanceObjectRequiredupdatebaremetal2instance request body object.
nameStringOptional. The bare metal instance name.
descriptionStringOptional. The detailed description of the bare metal instance.
stateStringOptional. The running state of the bare metal instance.
chassisOfferingUuidStringOptional. The chassis offering UUID.
defaultL3NetworkUuidStringOptional. The default L3 network UUID.
autoReleaseChassisEventStringOptional. Specifies whether to enable auto-release of the bare metal chassis if the bare metal instance is powered off.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/v1/baremetal2/bm-instances/{uuid}/action
/v1/baremetal2/bm-instances/{uuid}/action
Request Example
curl -X PUT 'http://{host}/v1/baremetal2/bm-instances/{uuid}/action' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetal2instance":{"name":"<name>","description":"<description>","state":"<state>","chassisOfferingUuid":"<chassisOfferingUuid>","defaultL3NetworkUuid":"<defaultL3NetworkUuid>","autoReleaseChassisEvent":"<autoReleaseChassisEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "chassisUuid": "7453e747768542489c23050886938b77", "lastChassisUuid": "b39799cc4126488aa17814ea424a3dd7", "gatewayUuid": "196bf822c5e349adabf8794d9cb5e75c", "lastGatewayUuid": "350145e2738d44e9a5167eeb478cae00", "chassisOfferingUuid": "2d45764c371d49f48431f018618eb10b", "status": "Connected", "uuid": "d9fe21f56dfb414494d1b09905f19179", "name": "BM-1", "description": "This is a BareMetal2 Instance.", "zoneUuid": "d02a19753dfa4ee4ad43597c7e6d3a73", "clusterUuid": "966745e8fa264ca4811096a530202acd", "imageUuid": "02a4dc10172f4652bc160d4f8e397aee", "rootVolumeUuid": "f86494fac7714dad95bf90732e9bd319", "platform": "Linux", "type": "baremetal2", "memorySize": 8.589934592E9, "cpuNum": 8.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running" } }Change History
This API has no change history records yet.
